GNU logs - #35635, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#35635: Ediff 2.81.5 of July 4, 2013; The ediff-registry buffer doesn't set focus to frame when viewing an open session.
Resent-From: Itaj Sherman <itaj.sherman@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 08 May 2019 14:29:01 +0000
Resent-Message-ID: <handler.35635.B.155732570224560 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 35635
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: kifer@HIDDEN, 35635 <at> debbugs.gnu.org
X-Debbugs-Original-To: kifer@HIDDEN, bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.155732570224560
          (code B ref -1); Wed, 08 May 2019 14:29:01 +0000
Received: (at submit) by debbugs.gnu.org; 8 May 2019 14:28:22 +0000
Received: from localhost ([127.0.0.1]:33706 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1hONYT-0006O3-Mi
	for submit <at> debbugs.gnu.org; Wed, 08 May 2019 10:28:22 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33168)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <itaj.sherman@HIDDEN>) id 1hONEK-0005mc-O8
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 10:07:34 -0400
Received: from lists.gnu.org ([209.51.188.17]:50192)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <itaj.sherman@HIDDEN>)
 id 1hONED-0005Fa-Q3
 for submit <at> debbugs.gnu.org; Wed, 08 May 2019 10:07:26 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47529)
 by lists.gnu.org with esmtp (Exim 4.71)
 (envelope-from <itaj.sherman@HIDDEN>) id 1hONEB-0002qr-UD
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 10:07:25 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,HTML_MESSAGE
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <itaj.sherman@HIDDEN>) id 1hONEA-0005Df-1j
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 10:07:23 -0400
Received: from mail-it1-x147.google.com ([2607:f8b0:4864:20::147]:56421)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <itaj.sherman@HIDDEN>)
 id 1hONE8-0005BO-Ea
 for bug-gnu-emacs@HIDDEN; Wed, 08 May 2019 10:07:21 -0400
Received: by mail-it1-x147.google.com with SMTP id g63so2257017ita.6
 for <bug-gnu-emacs@HIDDEN>; Wed, 08 May 2019 07:07:18 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=elastifile-com.20150623.gappssmtp.com; s=20150623;
 h=mime-version:from:date:message-id:subject:to;
 bh=/f6cL/AYwBDbQLEfi3Bfb0NwYGtmnT4iobCegSP2Ki8=;
 b=DTevMRVSFyfN8bjLrPvj5lVKOf8xGzvwkzFU4FT4fadsdyMYYuXqPYPBrIJ1mwCtOa
 bmVOWuA92AXL8kV+LH7n+11QYvDzUvVWYDJxLj7xRp6MXV9PTtBrbu/S4/EhUx8HYLcD
 sZBgB2NJuw/wlHlCkVfTtvZXI/h/V9zkqxEwc9E/UM0nBCUh86jMb+sVjr39zMXy0/AO
 T8JtbpabmjsaZDfP0sqYATGH8PxLv0CcvZ3SWi2/8wM4uqofDQUzVJEheK7EmyvMGGjl
 vDP4QLUhlUGew/2aiiBFsAb8Xw9ZoO+YpFwblKuDstEWizy4mUxENv+3voprbHbYFzTE
 dg4w==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:from:date:message-id:subject:to;
 bh=/f6cL/AYwBDbQLEfi3Bfb0NwYGtmnT4iobCegSP2Ki8=;
 b=QzxilWHJwjJ05FlCWkIVYuAeul9avZzBID5Eefme/ANGu1BZgzVEGA2Ho/Ja1zXPvk
 OaRQxUtDShkxBfJ9ba5ECdg5rjeJ1pmIAL8HbSjyeEM/KZDu6mDlz59UD/7GCWw2RHyq
 D8yTsdeqRnLLgkFzevuibZV7C5F2RYDVSvwqYZ+pYfRzAfp5tp6uvrA4vP1V7o86lHXy
 SSIhWvW3SFHcX13/W3xyTJgZlRtdXs6exoBQp59CwO9tXEOmCnXiCYYctn/dEG67H2bl
 MJ7f0Xht5mIACUS0lQefgiUcyAWaLa3jp1x71C8PWqh5VfYNSM2qH78q8WHbhY97Icuy
 ykSA==
X-Gm-Message-State: APjAAAVXwZ4+5TCJC+km8WU/0ymYXF77FTiEXQnE/F7y/WsI9hgzxLED
 Dir9AUHnbpm8is/dunpSV8bVIxI3XbnGudnGc2c+OQ==
X-Google-Smtp-Source: APXvYqxhHnz86fxnljLfE4IR7gro+nHv/V+Y8ujTbVJhsbbYAJjTdIoHHhzijRBdAPVRQEMlnW7VYDdMYPytRXH2wNM=
X-Received: by 2002:a02:a10d:: with SMTP id f13mr28252596jag.23.1557324437160; 
 Wed, 08 May 2019 07:07:17 -0700 (PDT)
MIME-Version: 1.0
From: Itaj Sherman <itaj.sherman@HIDDEN>
Date: Wed, 8 May 2019 17:06:40 +0300
Message-ID: <CA+xy6p+X0Bbr7Ub6JwU2zomVKnZcbFLYPmYcJDOHUudkj2=M9A@HIDDEN>
Content-Type: multipart/alternative; boundary="000000000000e0a0e0058860d9c1"
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::147
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Spam-Score: -1.3 (-)
X-Mailman-Approved-At: Wed, 08 May 2019 10:28:20 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

--000000000000e0a0e0058860d9c1
Content-Type: text/plain; charset="UTF-8"

Congratulations!  You may have unearthed a bug in Ediff!

Please make a concise and accurate summary of what happened
and mail it to the address above.
-----------------------------------------------------------

1) Open several ediff-files3 sessions (whether on single frame or
multiple). Say sessions 1, 2, 3 ...
2) focus the control panel of a diff session-1
3) click 'R' to show registry. A new frame is opened with registry
buffer, raised and focused.
4) select session-1. Click 'RET' to show the session.
The frame with this session will be raised **but not be focused**.
6) focus this frame's contron panel and click 'R' to go back to
registry.
The registry frame will be raised **but not focused**.
7) focus registy and select session-2. Click 'RET'.
session-2 frame is raised and focused.
8) click 'R' back to registry
The registry frame will be raised **but not focused**.
9) focus registy and select session-2. Click 'RET'.
session-2 frame is raised **but not focused**.

Generally another frame you ask to see is raised - but is only focused
the first time it is opened - on later requests it will be raised but
not focused.


My conf:

(customize-set-variable 'ediff-split-window-function
'split-window-horizontally)
(customize-set-variable 'ediff-window-setup-function
'ediff-setup-windows-plain)

(setq itaj-ediff-face-noncurrent '((t (:background "#404010"))))
(setq itaj-ediff-face-current '((t (:background "#006000"))))
(setq itaj-ediff-face-fine '((t (:background "#903030"))))
(custom-set-faces `(ediff-fine-diff-A ,itaj-ediff-face-fine))
(custom-set-faces `(ediff-fine-diff-B ,itaj-ediff-face-fine))
(custom-set-faces `(ediff-fine-diff-C ,itaj-ediff-face-fine))
(custom-set-faces `(ediff-current-diff-A ,itaj-ediff-face-current))
(custom-set-faces `(ediff-current-diff-B ,itaj-ediff-face-current))
(custom-set-faces `(ediff-current-diff-C ,itaj-ediff-face-current))
(custom-set-faces `(ediff-even-diff-A ,itaj-ediff-face-noncurrent))
(custom-set-faces `(ediff-even-diff-B ,itaj-ediff-face-noncurrent))
(custom-set-faces `(ediff-even-diff-C ,itaj-ediff-face-noncurrent))
(custom-set-faces `(ediff-odd-diff-A ,itaj-ediff-face-noncurrent))
(custom-set-faces `(ediff-odd-diff-B ,itaj-ediff-face-noncurrent))
(custom-set-faces `(ediff-odd-diff-C ,itaj-ediff-face-noncurrent))


(defun disable-y-or-n-p (orig-fun &rest args)
  (cl-letf (((symbol-function 'y-or-n-p) (lambda (prompt) t)))
    (apply orig-fun args)))

(advice-add 'ediff-quit :around #'disable-y-or-n-p)



Emacs  : GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll
bars)
 of 2017-09-22, modified by Debian
Package: Ediff 2.81.5 of July 4, 2013

current state:
==============
(setq
 ediff-diff-program "diff"
 ediff-diff-options ""
 ediff-diff3-program "diff3"
 ediff-diff3-options ""
 ediff-shell "sh"
 ediff-use-faces t
 ediff-auto-refine 'on
 ediff-highlighting-style 'face
 ediff-buffer-A #<buffer test_npal_locks_out_of_resources.c<t0>>
 ediff-buffer-B #<buffer test_npal_locks_out_of_resources.c<w>>
 ediff-control-buffer #<buffer *Ediff Control Panel<5>*>
 ediff-forward-word-function 'ediff-forward-word
 ediff-control-frame nil
 ediff-control-frame-parameters '((name . "Ediff") (minibuffer)
(user-position . t) (vertical-scroll-bars)
  (scrollbar-width . 0) (scrollbar-height . 0) (menu-bar-lines . 0)
  (tool-bar-lines . 0) (left-fringe . 0) (right-fringe . 0) (auto-lower)
  (auto-raise . t) (visibility) (width . 1) (height . 1) (top . 1081)
  (left . 1921))
 ediff-control-frame-position-function 'ediff-make-frame-position
 ediff-prefer-iconified-control-frame nil
 ediff-window-setup-function 'ediff-setup-windows-plain
 ediff-split-window-function 'split-window-horizontally
 ediff-job-name 'ediff-files3
 ediff-word-mode nil
 buffer-name "*Ediff Control Panel<5>*"
 ediff-device-type 'x
 )

--000000000000e0a0e0058860d9c1
Content-Type: text/html; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

<div dir=3D"ltr"><div dir=3D"ltr"><div><br></div><div>Congratulations!=C2=
=A0 You may have unearthed a bug in Ediff!</div><div><br></div><div>Please =
make a concise and accurate summary of what happened</div><div>and mail it =
to the address above.</div><div>-------------------------------------------=
----------------</div><div><br></div><div>1) Open several ediff-files3 sess=
ions (whether on single frame or</div><div>multiple). Say sessions 1, 2, 3 =
...</div><div>2) focus the control panel of a diff session-1</div><div>3) c=
lick &#39;R&#39; to show registry. A new frame is opened with registry</div=
><div>buffer, raised and focused.</div><div>4) select session-1. Click &#39=
;RET&#39; to show the session.</div><div>The frame with this session will b=
e raised **but not be focused**.</div><div>6) focus this frame&#39;s contro=
n panel and click &#39;R&#39; to go back to</div><div>registry.</div><div>T=
he registry frame will be raised **but not focused**.</div><div>7) focus re=
gisty and select session-2. Click &#39;RET&#39;.</div><div>session-2 frame =
is raised and focused.</div><div>8) click &#39;R&#39; back to registry</div=
><div>The registry frame will be raised **but not focused**.</div><div>9) f=
ocus registy and select session-2. Click &#39;RET&#39;.</div><div>session-2=
 frame is raised **but not focused**.</div><div><br></div><div>Generally an=
other frame you ask to see is raised - but is only focused</div><div>the fi=
rst time it is opened - on later requests it will be raised but</div><div>n=
ot focused.</div><div><br></div><div><br></div><div>My conf:</div><div><br>=
</div><div>(customize-set-variable &#39;ediff-split-window-function &#39;sp=
lit-window-horizontally)</div><div>(customize-set-variable &#39;ediff-windo=
w-setup-function &#39;ediff-setup-windows-plain)</div><div><br></div><div>(=
setq itaj-ediff-face-noncurrent &#39;((t (:background &quot;#404010&quot;))=
))</div><div>(setq itaj-ediff-face-current &#39;((t (:background &quot;#006=
000&quot;))))</div><div>(setq itaj-ediff-face-fine &#39;((t (:background &q=
uot;#903030&quot;))))</div><div>(custom-set-faces `(ediff-fine-diff-A ,itaj=
-ediff-face-fine))</div><div>(custom-set-faces `(ediff-fine-diff-B ,itaj-ed=
iff-face-fine))</div><div>(custom-set-faces `(ediff-fine-diff-C ,itaj-ediff=
-face-fine))</div><div>(custom-set-faces `(ediff-current-diff-A ,itaj-ediff=
-face-current))</div><div>(custom-set-faces `(ediff-current-diff-B ,itaj-ed=
iff-face-current))</div><div>(custom-set-faces `(ediff-current-diff-C ,itaj=
-ediff-face-current))</div><div>(custom-set-faces `(ediff-even-diff-A ,itaj=
-ediff-face-noncurrent))</div><div>(custom-set-faces `(ediff-even-diff-B ,i=
taj-ediff-face-noncurrent))</div><div>(custom-set-faces `(ediff-even-diff-C=
 ,itaj-ediff-face-noncurrent))</div><div>(custom-set-faces `(ediff-odd-diff=
-A ,itaj-ediff-face-noncurrent))</div><div>(custom-set-faces `(ediff-odd-di=
ff-B ,itaj-ediff-face-noncurrent))</div><div>(custom-set-faces `(ediff-odd-=
diff-C ,itaj-ediff-face-noncurrent))</div><div><br></div><div><br></div><di=
v>(defun disable-y-or-n-p (orig-fun &amp;rest args)</div><div>=C2=A0 (cl-le=
tf (((symbol-function &#39;y-or-n-p) (lambda (prompt) t)))</div><div>=C2=A0=
 =C2=A0 (apply orig-fun args)))</div><div><br></div><div>(advice-add &#39;e=
diff-quit :around #&#39;disable-y-or-n-p)</div><div><br></div><div><br></di=
v><div><br></div><div>Emacs=C2=A0 : GNU Emacs 25.2.1 (x86_64-pc-linux-gnu, =
X toolkit, Xaw3d scroll bars)</div><div>=C2=A0of 2017-09-22, modified by De=
bian</div><div>Package: Ediff 2.81.5 of July 4, 2013</div><div><br></div><d=
iv>current state:</div><div>=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D=3D</div=
><div>(setq</div><div>=C2=A0ediff-diff-program &quot;diff&quot;</div><div>=
=C2=A0ediff-diff-options &quot;&quot;</div><div>=C2=A0ediff-diff3-program &=
quot;diff3&quot;</div><div>=C2=A0ediff-diff3-options &quot;&quot;</div><div=
>=C2=A0ediff-shell &quot;sh&quot;</div><div>=C2=A0ediff-use-faces t</div><d=
iv>=C2=A0ediff-auto-refine &#39;on</div><div>=C2=A0ediff-highlighting-style=
 &#39;face</div><div>=C2=A0ediff-buffer-A #&lt;buffer test_npal_locks_out_o=
f_resources.c&lt;t0&gt;&gt;</div><div>=C2=A0ediff-buffer-B #&lt;buffer test=
_npal_locks_out_of_resources.c&lt;w&gt;&gt;</div><div>=C2=A0ediff-control-b=
uffer #&lt;buffer *Ediff Control Panel&lt;5&gt;*&gt;</div><div>=C2=A0ediff-=
forward-word-function &#39;ediff-forward-word</div><div>=C2=A0ediff-control=
-frame nil</div><div>=C2=A0ediff-control-frame-parameters &#39;((name . &qu=
ot;Ediff&quot;) (minibuffer) (user-position . t) (vertical-scroll-bars)</di=
v><div><span style=3D"white-space:pre">				</span>=C2=A0 (scrollbar-width .=
 0) (scrollbar-height . 0) (menu-bar-lines . 0)</div><div><span style=3D"wh=
ite-space:pre">				</span>=C2=A0 (tool-bar-lines . 0) (left-fringe . 0) (ri=
ght-fringe . 0) (auto-lower)</div><div><span style=3D"white-space:pre">				=
</span>=C2=A0 (auto-raise . t) (visibility) (width . 1) (height . 1) (top .=
 1081)</div><div><span style=3D"white-space:pre">				</span>=C2=A0 (left . =
1921))</div><div>=C2=A0ediff-control-frame-position-function &#39;ediff-mak=
e-frame-position</div><div>=C2=A0ediff-prefer-iconified-control-frame nil</=
div><div>=C2=A0ediff-window-setup-function &#39;ediff-setup-windows-plain</=
div><div>=C2=A0ediff-split-window-function &#39;split-window-horizontally</=
div><div>=C2=A0ediff-job-name &#39;ediff-files3</div><div>=C2=A0ediff-word-=
mode nil</div><div>=C2=A0buffer-name &quot;*Ediff Control Panel&lt;5&gt;*&q=
uot;</div><div>=C2=A0ediff-device-type &#39;x</div><div>=C2=A0)</div><div><=
br></div></div></div>

--000000000000e0a0e0058860d9c1--




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Itaj Sherman <itaj.sherman@HIDDEN>
Subject: bug#35635: Acknowledgement (Ediff 2.81.5 of July 4, 2013; The
 ediff-registry buffer doesn't set focus to frame when viewing an open
 session.)
Message-ID: <handler.35635.B.155732570224560.ack <at> debbugs.gnu.org>
References: <CA+xy6p+X0Bbr7Ub6JwU2zomVKnZcbFLYPmYcJDOHUudkj2=M9A@HIDDEN>
X-Gnu-PR-Message: ack 35635
X-Gnu-PR-Package: emacs
Reply-To: 35635 <at> debbugs.gnu.org
Date: Wed, 08 May 2019 14:29:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 35635 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
35635: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D35635
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#35635: Ediff 2.81.5 of July 4, 2013; The ediff-registry buffer doesn't set focus to frame when viewing an open session.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 18 May 2022 13:47:01 +0000
Resent-Message-ID: <handler.35635.B35635.165288158031477 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 35635
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Itaj Sherman <itaj.sherman@HIDDEN>
Cc: kifer@HIDDEN, 35635 <at> debbugs.gnu.org
Received: via spool by 35635-submit <at> debbugs.gnu.org id=B35635.165288158031477
          (code B ref 35635); Wed, 18 May 2022 13:47:01 +0000
Received: (at 35635) by debbugs.gnu.org; 18 May 2022 13:46:20 +0000
Received: from localhost ([127.0.0.1]:59533 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrK0J-0008BQ-Oy
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:46:20 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40030)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrK0H-00083y-B5
 for 35635 <at> debbugs.gnu.org; Wed, 18 May 2022 09:46:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=aX1hmKHDRzZaVHc4Jlikh65I/VbGaDH/Rur9vJx8PMA=; b=KiTPR0BC+Uald0KjMMZVzOGC3A
 j5fHghGTp7dZQARB1GzUy2w/6VlGR4v42kX4IWnl5r7hFf6BkoLa44eE1hkYc5HDeMOGliqbwDVQk
 dECXK/IeOO5d0/XipA7JBWudiZ3nHPlHKE7enQTfWC46OOenEBgEUVCi5qJ5SmzeFX7o=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1nrK08-0007ry-9X; Wed, 18 May 2022 15:46:10 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CA+xy6p+X0Bbr7Ub6JwU2zomVKnZcbFLYPmYcJDOHUudkj2=M9A@HIDDEN>
X-Now-Playing: Porridge Radio's _Every Bad_: "Give-Take"
Date: Wed, 18 May 2022 15:46:07 +0200
In-Reply-To: <CA+xy6p+X0Bbr7Ub6JwU2zomVKnZcbFLYPmYcJDOHUudkj2=M9A@HIDDEN>
 (Itaj Sherman's message of "Wed, 8 May 2019 17:06:40 +0300")
Message-ID: <87k0ajar8g.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Itaj Sherman <itaj.sherman@HIDDEN> writes: > 1) Open
 several ediff-files3 sessions (whether on single frame or > multiple). Say
 sessions 1, 2, 3 ... > 2) focus the control panel of a diff session-1 > 3)
 click 'R' to show registry. A new frame [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Itaj Sherman <itaj.sherman@HIDDEN> writes:

> 1) Open several ediff-files3 sessions (whether on single frame or
> multiple). Say sessions 1, 2, 3 ...
> 2) focus the control panel of a diff session-1
> 3) click 'R' to show registry. A new frame is opened with registry
> buffer, raised and focused.
> 4) select session-1. Click 'RET' to show the session.
> The frame with this session will be raised **but not be focused**.
> 6) focus this frame's contron panel and click 'R' to go back to
> registry.
> The registry frame will be raised **but not focused**.

(I'm going through old bug reports that unfortunately weren't resolved
at the time.)

I'm unable to reproduce this issue.  Do you have a recipe to reproduce
it, starting from "emacs -Q"?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 18 May 2022 13:46:35 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 18 09:46:35 2022
Received: from localhost ([127.0.0.1]:59536 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nrK0Z-0008Nm-5l
	for submit <at> debbugs.gnu.org; Wed, 18 May 2022 09:46:35 -0400
Received: from quimby.gnus.org ([95.216.78.240]:40054)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1nrK0L-00088P-I3
 for control <at> debbugs.gnu.org; Wed, 18 May 2022 09:46:34 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=2hC1x7MyCsWlQQjP9x5NmyaM9MXXmfUt7w9NRc+qlp0=; b=LysG9P2XOU01rB9l7Tm/sfTL/V
 Gev3H4OQiA93nRpEdpWqtWz2RLtegvcNQqHeclMIH2WqbxyfuLtsWYXqZsqUJSC8ZLRHmqR7ypWDW
 EdUCy3hmnIfYu4+yS4vQgJpfngZoFDfGSOOHv/r3I/vJAkLGkQt1S/AFIrJdj7genSp8=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1nrK0D-0007s8-Rr
 for control <at> debbugs.gnu.org; Wed, 18 May 2022 15:46:15 +0200
Date: Wed, 18 May 2022 15:46:13 +0200
Message-Id: <87ilq3ar8a.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #35635
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 35635 + moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 35635 + moreinfo
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#35635: Ediff 2.81.5 of July 4, 2013; The ediff-registry buffer doesn't set focus to frame when viewing an open session.
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 17 Jun 2022 12:06:02 +0000
Resent-Message-ID: <handler.35635.B35635.16554675551354 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 35635
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: Itaj Sherman <itaj.sherman@HIDDEN>
Cc: kifer@HIDDEN, 35635 <at> debbugs.gnu.org
Received: via spool by 35635-submit <at> debbugs.gnu.org id=B35635.16554675551354
          (code B ref 35635); Fri, 17 Jun 2022 12:06:02 +0000
Received: (at 35635) by debbugs.gnu.org; 17 Jun 2022 12:05:55 +0000
Received: from localhost ([127.0.0.1]:44041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Ajb-0000Lm-4E
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:05:55 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54670)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2AjZ-0000LW-04
 for 35635 <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:05:53 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ikFfRIiNN1VKfAcu2G/8B/YLQMg28ZglJLP6+DPcd1E=; b=T/j85oCJmhgmng5ntqL7gJyg5R
 tXBOdjnIEIE/VQX17WqsQ05uk3Omf55y2PCC6HHBv/j9By9OfHnfZ3EQXD828OWSUG71LCnC9q3YN
 yGOXzbNv1IwX0oCHQzEkHc8JvTlPME01tTBg/oKh6QYJ62/uzNyC7FAK4KrGTj3P6Mok=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1o2AjQ-0002k2-Df; Fri, 17 Jun 2022 14:05:46 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <CA+xy6p+X0Bbr7Ub6JwU2zomVKnZcbFLYPmYcJDOHUudkj2=M9A@HIDDEN>
 <87k0ajar8g.fsf@HIDDEN>
X-Now-Playing: Loma's _Don't Shy Away_: "Don't Shy Away"
Date: Fri, 17 Jun 2022 14:05:43 +0200
In-Reply-To: <87k0ajar8g.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Wed,
 18 May 2022 15:46:07 +0200")
Message-ID: <87y1xva414.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Lars Ingebrigtsen <larsi@HIDDEN> writes: > I'm unable to
 reproduce this issue. Do you have a recipe to reproduce > it, starting from
 "emacs -Q"? More information was requested, but no response was given within
 a month, so I'm closing this bug report. If the problem still exists, please
 respond to this email and we'll reopen the bug report. 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> I'm unable to reproduce this issue.  Do you have a recipe to reproduce
> it, starting from "emacs -Q"?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If the problem still exists,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 17 Jun 2022 12:05:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jun 17 08:05:59 2022
Received: from localhost ([127.0.0.1]:44044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1o2Ajf-0000M4-A3
	for submit <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:05:59 -0400
Received: from quimby.gnus.org ([95.216.78.240]:54692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1o2Aje-0000Le-2V
 for control <at> debbugs.gnu.org; Fri, 17 Jun 2022 08:05:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=G74X2N77PnjyGqPTflWTrDtyDJLnKNABq4uBkdmaWAY=; b=H/rvBWUGzqW43M8yu2VmiRzT19
 hFTELbObSS+/A8qHEsFIqn7157D8bv2lXQtR/S/hzK2pLl6Fbtb+CZcMyplOhUZO2/iQwiM0pCUFN
 IUj/S8cTSJMRGLkZlX0cohQQRNpI5FIvc7c+z1YAnrLIh/glMbB+L7lz+4VgQevzju0g=;
Received: from [84.212.220.105] (helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1o2AjW-0002kD-Eb
 for control <at> debbugs.gnu.org; Fri, 17 Jun 2022 14:05:52 +0200
Date: Fri, 17 Jun 2022 14:05:50 +0200
Message-Id: <87wndfa40x.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #35635
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  close 35635 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

close 35635 
quit






Last modified: Fri, 17 Jun 2022 12:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.